import 'package:flutter/material.dart';

import '../models/size_config.dart';

extension IntExtensions on int {
  Widget get height => SizedBox(height: toScreenHeight);

  Widget get width => SizedBox(width: toScreenWidth);

  Widget get makeItSquare => SizedBox(width: toScreenWidth, height: toScreenWidth);

  double get toScreenHeight => (this / 932) * SizeConfig.screenHeight!;

  double get toScreenWidth => (this / 430) * SizeConfig.screenWidth!;

}
